//
//  ContentView.swift
//  HelloSwiftUI
//
//  Created by Mohammad Azam on 9/23/23.
//
// Credits for the image
// Give a shoutout to Zdeněk Macháček on social or copy the text below to attribute.
// https://unsplash.com/@zmachacek


import SwiftUI

struct ContentView: View {
    var body: some View {
        VStack {
            Image("costa-rica")
                .resizable()
                .aspectRatio(contentMode: .fit)
                .clipShape(RoundedRectangle(cornerRadius: /*@START_MENU_TOKEN@*/25.0/*@END_MENU_TOKEN@*/, style: .continuous))
            
            AsyncImage(url: URL(string: "https://images.unsplash.com/photo-1552727131-5fc6af16796d?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=3898&q=80")!) { image in
                image.resizable()
            } placeholder: {
                ProgressView("Downloading...")   
            }

            
            Text("First Line")
                .foregroundStyle(.cyan)
                .font(.title3)
                .padding([.top, .bottom], 20)
            
            Text("Second Line")
                .foregroundStyle(.green)
            Text("Third Line")
            HStack {
                Text("Left")
                Text("Right")
                    .fontWeight(.heavy)
            }
        }.foregroundStyle(.orange)
            .padding()
    }
}

#Preview {
    ContentView()
}
